import { createTypes } from 'reduxsauce'

export const usersTypes = createTypes(
  `
  LOAD_ALL_USERS_REQUEST
  LOAD_ALL_USERS_SUCCESS
  LOAD_ALL_USERS_FAILURE

  LOAD_USERS_REQUEST
  LOAD_USERS_SUCCESS
  LOAD_USERS_FAILURE

  CREATE_USERS_REQUEST
  CREATE_USERS_SUCCESS
  CREATE_USERS_FAILURE

  DELETE_USERS_REQUEST
  DELETE_USERS_SUCCESS
  DELETE_USERS_FAILURE
`
)
